import { fromKebabToCamelCase, transformer } from '../transformer/index';
/**
 * Preset of useful teplates for globals
 *
 * @example Use in config like this:
 * ```ts
 * globals: {
 *   [GLOBAL.NG2]: GLOBAL.NG2.TPL,
 *   [GLOBAL.RX]: GLOBAL.RX.TPL,
 *   ...
 * }
 * ```
 */
export var GLOBAL = {
    NG2: {
        toString: function () {
            return 'ng.$1';
        },
        TPL: transformer(/^\@angular\/(.+)/, fromKebabToCamelCase)
    },
    RX: {
        toString: function () {
            return 'Rx';
        },
        TPL: /^rxjs\/[^/]+$/
    },
    RX_OBSERVABLE: {
        toString: function () {
            return 'Rx.Observable';
        },
        TPL: /^rxjs\/(add\/)?observable\/[^/]+$/
    },
    RX_OPERATOR: {
        toString: function () {
            return 'Rx.Observable.prototype';
        },
        TPL: /^rxjs\/(add\/)?operator\/[^/]+$/
    },
};
//# sourceMappingURL=index.js.map